%define ver_major 0.7
%def_enable encryption

Name: almanah
Version: %ver_major.3
Release: alt3

Summary: Diary editor for GNOME
License: LGPLv3+
Group: Graphical desktop/GNOME
Url: http://live.gnome.org/Almanah_Diary
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

Requires(post,preun): GConf

# Automatically added by buildreq on Sun Jan 03 2010
BuildRequires: libGConf-devel evolution-data-server-devel intltool libdbus-glib-devel libgtkspell-devel
%{?_enable_encryption:BuildRequires: libgpgme-devel libseahorse-devel}

%description
Almanah is a small GTK+ application to allow you to keep a diary of your life.

%prep
%setup -q

%build
%if_enabled encryption
export CFLAGS="$CFLAGS -D_FILE_OFFSET_BITS=64"
%endif

%configure \
	%{subst_enable encryption} \
	--disable-schemas-install
%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %name

%post
%gconf2_install almanah

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall almanah
fi

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_datadir/%name
%_iconsdir/hicolor/*x*/apps/%name.png
%_sysconfdir/gconf/schemas/almanah.schemas
%doc README AUTHORS NEWS

%changelog
* Mon Oct 11 2010 Yuri N. Sedunov <aris@altlinux.org> 0.7.3-alt3
- rebuild against new e-d-s-2.32.0 libraries

* Mon Jun 21 2010 Yuri N. Sedunov <aris@altlinux.org> 0.7.3-alt2
- rebuild against libedataserver-1.2.so.13 (e-d-s-2.30.2)

* Sun Apr 18 2010 Yuri N. Sedunov <aris@altlinux.org> 0.7.3-alt1
- 0.7.3

* Sun Jan 31 2010 Yuri N. Sedunov <aris@altlinux.org> 0.7.2-alt1
- 0.7.2

* Sun Jan 03 2010 Yuri N. Sedunov <aris@altlinux.org> 0.7.1-alt1
- first build for Sisyhus


